# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.parfor.opt.OptNode.ParamType

Packages that use OptNode.ParamType
Package
Description
org.apache.sysds.runtime.controlprogram.parfor.opt

## Uses of OptNode.ParamType in org.apache.sysds.runtime.controlprogram.parfor.opt

Methods in org.apache.sysds.runtime.controlprogram.parfor.opt that return OptNode.ParamType
Modifier and Type
Method
Description
`static OptNode.ParamType`
OptNode.ParamType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OptNode.ParamType[]`
OptNode.ParamType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type OptNode.ParamType
Modifier and Type
Method
Description
`void`
OptNode.`addParam(OptNode.ParamType ptype, String val)`
`String`
OptNode.`getParam(OptNode.ParamType type)`
Method parameters in org.apache.sysds.runtime.controlprogram.parfor.opt with type arguments of type OptNode.ParamType
Modifier and Type
Method
Description
`void`
OptNode.`setParams(HashMap<OptNode.ParamType,String> params)`